<?xml version="1.0" encoding="UTF-8"?>

<beans xmlns="http://www.springframework.org/schema/beans" 
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
       xmlns:context="http://www.springframework.org/schema/context" 
       xsi:schemaLocation="http://www.springframework.org/schema/beans 					
        http://www.springframework.org/schema/beans/spring-beans.xsd
        http://www.springframework.org/schema/context 					
        http://www.springframework.org/schema/context/spring-context.xsd">
    
    <!--context:annotation-config/-->
    <context:component-scan base-package="com.digitallschool.fullstackaa.spring" />
    
    <bean id='c1' class="com.digitallschool.fullstackaa.spring.model.Customer"
          scope="prototype">
        <qualifier  value="empty"/>
        <property name="customerId" value="0"/>
    </bean>
    <bean id='c2' class="com.digitallschool.fullstackaa.spring.model.Customer"
          scope="prototype" primary="true">
        <qualifier value="full"/>
        <property name="customerId" value="981"/>        
    </bean>
    
    <bean id='p1' class="com.digitallschool.fullstackaa.spring.model.Payment"
          scope="singleton">
        <!--constructor-arg>
            <null/>
        </constructor-arg>
        <constructor-arg value="0"/>
        <constructor-arg ref="c1"/-->
    </bean>
    
    <bean id="book1" name="book3" class="com.digitallschool.fullstackaa.spring.Book"
          scope="singleton" init-method="init" destroy-method="destroy"
          lazy-init="true">
        <property name="bookId" value="123"/>
        <property name="title" value="Head First Java"/>
    </bean>
    
    <bean id="book2" class="com.digitallschool.fullstackaa.spring.Book">
        <constructor-arg value="456"/>
        <constructor-arg value="Java, How To Program"/>
        
    </bean>
</beans>
